### Function

# PangoCairo FontMap new

since: 1.10

#### Declaration [src]

    PangoFontMap*
    pango_cairo_font_map_new (
      void
    )

#### Description [src]

Creates a new `PangoCairoFontMap` object.

A fontmap is used to cache information about available fonts, and holds certain global parameters such as the resolution. In most cases, you can use `func@PangoCairo.font_map_get_default] instead.

Note that the type of the returned object will depend on the particular font backend Cairo was compiled to use; You generally should only use the `PangoFontMap` and `PangoCairoFontMap` interfaces on the returned object.

You can override the type of backend returned by using an environment variable `PANGOCAIRO_BACKEND`. Supported types, based on your build, are fc (fontconfig), win32, and coretext. If requested type is not available, NULL is returned. Ie. this is only useful for testing, when at least two backends are compiled in.

Available since: 1.10

#### Return value

Type: `PangoFontMap`

The newly allocated `PangoFontMap`, which should be freed with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.